- Main Page
- Data Structures
- Files
- Directories

- Search for |

- Alphabetical List
- Data Structures
- Data Fields

# sigprocmask_args Struct Reference

`#include <sysproto.h>`

Collaboration diagram for sigprocmask_args:

[legend]

## Data Fields
int | how
char | how_l_ [0]
char | how_r_ [(sizeof(register_t)<=sizeof(int)?0:sizeof(register_t)-sizeof(int))]
sigset_t * | oset
char | oset_l_ [0]
char | oset_r_ [(sizeof(register_t)<=sizeof(sigset_t *)?0:sizeof(register_t)-sizeof(sigset_t *))]
const sigset_t * | set
char | set_l_ [0]
char | set_r_ [(sizeof(register_t)<=sizeof(const sigset_t *)?0:sizeof(register_t)-sizeof(const sigset_t *))]

## Detailed Description

Definition at line 141 of file sysproto.h.

## Field Documentation

int sigprocmask_args::how

Definition at line 142 of file sysproto.h.

char sigprocmask_args::how_l_[0]

Definition at line 142 of file sysproto.h.

char sigprocmask_args::how_r_[(sizeof(register_t)<=sizeof(int)?0:sizeof(register_t)-sizeof(int))]

Definition at line 142 of file sysproto.h.

sigset_t* sigprocmask_args::oset

Definition at line 144 of file sysproto.h.

char sigprocmask_args::oset_l_[0]

Definition at line 144 of file sysproto.h.

char sigprocmask_args::oset_r_[(sizeof(register_t)<=sizeof(sigset_t *)?0:sizeof(register_t)-sizeof(sigset_t *))]

Definition at line 144 of file sysproto.h.

const sigset_t* sigprocmask_args::set

Definition at line 143 of file sysproto.h.

char sigprocmask_args::set_l_[0]

Definition at line 143 of file sysproto.h.

char sigprocmask_args::set_r_[(sizeof(register_t)<=sizeof(const sigset_t *)?0:sizeof(register_t)-sizeof(const sigset_t *))]

Definition at line 143 of file sysproto.h.

The documentation for this struct was generated from the following file:

- src/sys/include/sys/sysproto.h